cpw.mods.fml.common

## Class FMLLog

- java.lang.Object
- - cpw.mods.fml.common.FMLLog

-     public class FMLLog
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLLog()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bigWarning(java.lang.String format, java.lang.Object... data)`
    `static void` | `fine(java.lang.String format, java.lang.Object... data)`
    `static void` | `finer(java.lang.String format, java.lang.Object... data)`
    `static org.apache.logging.log4j.Logger` | `getLogger()`
    `static void` | `info(java.lang.String format, java.lang.Object... data)`
    `static void` | `log(org.apache.logging.log4j.Level level, java.lang.String format, java.lang.Object... data)`
    `static void` | `log(org.apache.logging.log4j.Level level, java.lang.Throwable ex, java.lang.String format, java.lang.Object... data)`
    `static void` | `log(java.lang.String targetLog, org.apache.logging.log4j.Level level, java.lang.String format, java.lang.Object... data)`
    `static void` | `log(java.lang.String targetLog, org.apache.logging.log4j.Level level, java.lang.Throwable ex, java.lang.String format, java.lang.Object... data)`
    `static void` | `severe(java.lang.String format, java.lang.Object... data)`
    `static void` | `warning(java.lang.String format, java.lang.Object... data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLLog

          public FMLLog()

  - ### Method Detail

    - #### log

          public static void log(java.lang.String targetLog,
                 org.apache.logging.log4j.Level level,
                 java.lang.String format,
                 java.lang.Object... data)

    - #### log

          public static void log(org.apache.logging.log4j.Level level,
                 java.lang.String format,
                 java.lang.Object... data)

    - #### log

          public static void log(java.lang.String targetLog,
                 org.apache.logging.log4j.Level level,
                 java.lang.Throwable ex,
                 java.lang.String format,
                 java.lang.Object... data)

    - #### log

          public static void log(org.apache.logging.log4j.Level level,
                 java.lang.Throwable ex,
                 java.lang.String format,
                 java.lang.Object... data)

    - #### severe

          public static void severe(java.lang.String format,
                    java.lang.Object... data)

    - #### bigWarning

          public static void bigWarning(java.lang.String format,
                        java.lang.Object... data)

    - #### warning

          public static void warning(java.lang.String format,
                     java.lang.Object... data)

    - #### info

          public static void info(java.lang.String format,
                  java.lang.Object... data)

    - #### fine

          public static void fine(java.lang.String format,
                  java.lang.Object... data)

    - #### finer

          public static void finer(java.lang.String format,
                   java.lang.Object... data)

    - #### getLogger

          public static org.apache.logging.log4j.Logger getLogger()